AlgorithmParametersBase Class Referenceabstract

Base class for AlgorithmParameters. More...

Inheritance diagram for AlgorithmParametersBase:

## Classes

class | ParameterNotUsed
| Exception thrown when an AlgorithmParameter is unused. More...

## Public Member Functions

| AlgorithmParametersBase (const AlgorithmParametersBase &x)
| AlgorithmParametersBase (const char *name, bool throwIfNotUsed)
| Construct a AlgorithmParametersBase. More...
bool | GetVoidValue (const char *name, const std::type_info &valueType, void *pValue) const

## Friends

class | AlgorithmParameters

## Detailed Description

Base class for AlgorithmParameters.

Definition at line 303 of file algparam.h.

## Constructor & Destructor Documentation

## AlgorithmParametersBase()

AlgorithmParametersBase::AlgorithmParametersBase | ( | const char * | name,
|  | bool | throwIfNotUsed
| ) |  |

inline

Construct a AlgorithmParametersBase.

Parameters

  name | the parameter name
  throwIfNotUsed | flags indicating whether an exception should be thrown

If throwIfNotUsed is true, then a ParameterNotUsed exception will be thrown in the destructor if the parameter is not not retrieved.

Definition at line 349 of file algparam.h.

The documentation for this class was generated from the following file:

- algparam.h